<script>
  export let data;

  import { onMount } from "svelte";

  let name;
  let subs = 0;

  function updateNameGlobally() {
    data.profile.name = "Sub " + ++subs;
  }

  onMount(() => {
    const unsub = data.profile.subscribe((model) => {
      name = model.name;
    });

    return unsub;
  });
</script>

<style>
  main {
    text-align: center;
    font-size: 8px;
    padding: 1em;
    background-color: #cdd;
	height: 100%;
	overflow: hidden;
  }

  section {
    padding: 2em 1em;
    margin: 1em;
    background-color: #ececeb;
  }
  h1 {
    color: #000;
    text-transform: uppercase;
    font-size: 4em;
    font-weight: 100;
  }

  div name-displayer {
    margin-top: 8em;
    font-size: 2em;
  }

  a {
    color: black;
    font-size: 1em;
    text-transform: none;
  }

  @media (min-width: 640px) {
    main {
      font-size: 12px;
    }
  }
</style>

<main>
  <section>
    <p>
      Loaded from <a href="/example-frontend-test/bundle.js">/example-frontend-test/bundle.js</a>
    </p>
    <h1>Hello <br /> {name}</h1>
    <button on:click={updateNameGlobally}>Click to trigger subscription</button>
  </section>
  <section>
    <div>
      Web Component from <a href="/example-frontend/components.js">/example-frontend/components.js</a>
      <br />
      <name-displayer myProp="My prop" />
    </div>
  </section>
</main>
